commit:     ccf7a1badbe3cc004b5c10f557de4b7801a2b814
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  4 15:36:54 2017 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Mon Sep  4 15:36:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccf7a1ba

sys-fs/fatsort: Version bump.

Switch to EAPI 6. Disable tests.

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 sys-fs/fatsort/Manifest             |  1 +
 sys-fs/fatsort/fatsort-1.4.2.ebuild | 38 +++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/sys-fs/fatsort/Manifest b/sys-fs/fatsort/Manifest
index e949381427c..c5686e91eb1 100644
--- a/sys-fs/fatsort/Manifest
+++ b/sys-fs/fatsort/Manifest
@@ -1 +1,2 @@
 DIST fatsort-1.3.365.tar.gz 57209 SHA256 
77acc374b189e80e3d75d3508f3c0ca559f8030f1c220f7cfde719a4adb03f3d SHA512 
e3611841501e6dded8fd6270188ffb00191a20e93d84b0729cd2e215d37317f48e08bd67da41b88604858ef6f661e4b921b80645f454b78f91bfd2d0d4254d29
 WHIRLPOOL 
0998259baf3f315b0d7485fdf7d8172fa4c8f17f3f41fd163780eeaf7b6eda6c2e5dfdd99e9d0dd603bcd53aa6fc2a1ea6e1e2a2f14d211a8fc01b8db4ddeb9d
+DIST fatsort-1.4.2.439.tar.xz 41852 SHA256 
bdbcf99307baef3e76d99700691ac525c9a9cf96d8433b45c89314940cc6a1e0 SHA512 
c51b5316b34e1a74e2a8d1c625716fd022d32e40a92ef56b88fbc940b5e6dd6c978b733f180477e8b5b3235b46cd16eb74798c5aadd45de9ead1f1bafdf52fee
 WHIRLPOOL 
d72031ef071c2748488935a35ac8d7ba84d162312e35ac69fb5799e699f495ae190fb9230f875a2624c013d5eba4a3e9c49f7fbda76b661fc55a1692adae7951

diff --git a/sys-fs/fatsort/fatsort-1.4.2.ebuild 
b/sys-fs/fatsort/fatsort-1.4.2.ebuild
new file mode 100644
index 00000000000..355a59c1440
--- /dev/null
+++ b/sys-fs/fatsort/fatsort-1.4.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+SVN_REV=439
+MY_P=${P}.${SVN_REV}
+
+DESCRIPTION="Sorts files on FAT16/32 partitions, ideal for basic audio players"
+HOMEPAGE="http://fatsort.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       default
+
+       sed -i -e '/^\(MANDIR=\|SBINDIR=\)/s|/usr/local|/usr|' \
+               $(find ./ -name Makefile) || die
+}
+
+src_compile() {
+       emake CC=$(tc-getCC) LD=$(tc-getCC) \
+               CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+               DESTDIR="${D}"
+}
+
+src_test() {
+       # Tests require root permissions and mounting filesystems which does
+       # not work inside the ebuild environment
+       true
+}

Reply via email to